@echo off
echo *** CREATING INSTALL TREE ***
rem 
rem Create directory structure of the Install tree
rem
deltree /Y INSTALL > NUL:
mkdir INSTALL > NUL:
cd INSTALL > NUL:
mkdir PSISTACK > NUL:
mkdir APP > NUL:
mkdir APP\PSISTACK > NUL:
rem
rem Copy the setup program and script editor
rem 
copy ..\SOURCE\SETUP\SETUP.APP APP\PSISTACK > NUL:
copy ..\SOURCE\SETUP\PSISCRED.ALS APP\PSISTACK > NUL:
rem
rem Copy the Kernel 
rem
copy ..\SOURCE\KERNEL\STACK.IMG APP\PSISTACK > NUL:
rem
rem Copy the DBMS
rem
copy ..\SOURCE\DBMS\DBMS.IMG APP\PSISTACK > NUL:
rem
rem Copy the GS18 Accessory
rem
copy ..\SOURCE\GS18\GS18.APP APP\PSISTACK > NUL:
rem
rem Copy the Clients
rem
copy ..\SOURCE\CLIENTS\TELNET\TELNET.APP APP\PSISTACK > NUL:
copy ..\SOURCE\CLIENTS\EMAIL3\EMAIL3.APP APP\PSISTACK > NUL:
copy ..\SOURCE\CLIENTS\EMAIL3\COMPOSER.APP APP\PSISTACK > NUL:
rem
rem Copy the Servers
rem
copy ..\SOURCE\SERVERS\ECHOD\ECHOD.APP APP\PSISTACK > NUL:
rem
rem Copy the Database files
rem
copy ..\DATABASE\STANDARD\*.* APP\PSISTACK > NUL:
rem
rem Copy the Console and log editor
rem
copy ..\SOURCE\CONSOLE\CONSOLE.APP APP\PSISTACK > NUL:
copy ..\SOURCE\CONSOLE\CONLOGVU.ALS APP\PSISTACK > NUL:
rem
rem Copy all PsiStack scripts
rem
copy ..\CONNECT\DIRECT\WIN95\PSIMODEM.SCP PSISTACK > NUL:
copy ..\CONNECT\DIRECT\WIN95\PSINULL.SCP PSISTACK > NUL:
copy ..\CONNECT\DIRECT\PSION\IRDA.SCP PSISTACK > NUL:
copy ..\CONNECT\ISP\ANNEX.SCP PSISTACK > NUL:
copy ..\CONNECT\ISP\PSISTACK.SCP PSISTACK > NUL:
rem
rem Copy the group file
rem
copy ..\PSISTACK.GRP APP > NUL:
rem 
rem And finish back in the root directory
cd ..
echo *** All Done ***
echo *** Now run INSTALL to push it across a COM2:19000 serial link
echo *** to a real Psion, or run 3A, SIENA or WRKA to copy it to
echo *** your emulator directories.

