/*******************************************************************************
***
*** Filename         : dbmsgi.h
*** Purpose          : Internal DBMS message format and useful definitions
*** Author           : Matt J. Gumbley
*** Created          : 18/02/98
*** Last updated     : 18/02/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef DBMSGI_H
#define DBMSGI_H

/* The format of messages received by the DBMS */
typedef struct dbrxmsg {
  E_MESSAGE dm_e_message;
  DBMSG     dm_msg;
} DBRXMSG;

#define dm_type   dm_e_message.type                      /* A DTN_ table type */
#define dm_pid    dm_e_message.pid
#define dm_op     dm_msg.dm_op
#define dm_recno  dm_msg.dm_recno
#define dm_record dm_msg.dm_record
#define dm_len    dm_msg.dm_len

/* DBMS message stuff */
GLREF_D DBRXMSG *msg_this;

#endif /* DBMSGI_H */

