/*******************************************************************************
***
*** Filename         : queue.h
*** Purpose          : Definitions for the FIFO queue structures
*** Author           : Matt J. Gumbley
*** Created          : 19/01/97
*** Last updated     : 01/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef SYS_QUEUE_H
#define SYS_QUEUE_H

struct queue {
  int head, tail, size, maxsize;
  union {
    struct buf *nodes[1];
    int values[1];
  } qu;
};

#define q_nodes qu.nodes
#define q_values qu.values

#endif /* SYS_QUEUE_H */

