/*******************************************************************************
***
*** Filename         : stack.h
*** Purpose          : Include file which includes all stack defn header files.
*** Author           : Matt J. Gumbley
*** Created          : 01/03/98
*** Last updated     : 24/08/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef SYS_STACK_H
#define SYS_STACK_H

#include "/sibosdk/include/psistack/sys/global.h"
#include "/sibosdk/include/psistack/sys/options.h"
#include "/sibosdk/include/psistack/sys/ip.h"
#include "/sibosdk/include/psistack/sys/nif.h"
#include "/sibosdk/include/psistack/sys/icmp.h"
#include "/sibosdk/include/psistack/sys/tcp.h"
#include "/sibosdk/include/psistack/sys/udp.h"
#include "/sibosdk/include/psistack/sys/asy.h"
#include "/sibosdk/include/psistack/sys/queue.h"
#include "/sibosdk/include/psistack/sys/buffer.h"

#ifdef WANT_SCRIPT
#include "/sibosdk/include/psistack/sys/script.h"
#endif

#include "/sibosdk/include/psistack/sys/data.h"
#include "/sibosdk/include/psistack/sys/ppp.h"
#include "/sibosdk/include/psistack/sys/socket.h"

#endif /* SYS_STACK_H */

