/*******************************************************************************
***
*** Filename         : asy.h
*** Purpose          : Definitions for the ASY physical layer in PsiStack
*** Author           : Matt J. Gumbley
*** Created          : 16/01/97 - possibly the date I started all this!
*** Last updated     : 01/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef ASY_H
#define ASY_H

GLREF_D struct asy asy;

/* Function prototypes */

GLREF_C VOID asy_init(VOID);
GLREF_C INT  asy_open(VOID);
GLREF_C VOID asy_close(VOID);
GLREF_C INT  asy_write(BYTE*, INT);
GLREF_C INT  asy_writechar(BYTE);
GLREF_C INT  asy_queue(VOID);
GLREF_C VOID asy_process(VOID);
GLREF_C INT  asy_sethandler(void);

#endif /* ASY_H */

