/*******************************************************************************
***
*** Filename         : icmp.h
*** Purpose          : Definitions for Internet Control Message Protocol 
*** Author           : Matt J. Gumbley
*** Created          : 21/01/97
*** Last updated     : 01/03/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef ICMP_H
#define ICMP_H

GLREF_D struct ping_info ping_info;
GLREF_D word16 icmp_ident;
GLREF_D word16 icmp_sequence;
GLREF_C void icmp_process(struct buf *);
GLREF_C void icmp_dump(struct buf *);
GLREF_C void icmp_stats(void);
GLREF_C int  icmp_send(byte, byte, IPaddr, struct buf *, char *);
GLREF_C int  icmp_ping(struct ping_info *);
GLREF_C void ping_process(void);
GLREF_C void trace_process(void);

#endif /* ICMP_H */
