echo off
call version
echo Making Psistack release version %ver%
pause
rem
rem Now in Parent\PsiStack (the PsiStack root directory)
rem (Parent is C:\Matt on my system...)
rem
call make
call clean
cd ..
rem
rem Now in "Parent" (C:\Matt) - all archive files are created there
rem
echo Building Source Archive
rem
pause
copy psistack\readme.src psistack\readme.txt
pkzip -urPex -xpsistack\install\*.* src%ver%.zip psistack\*.*
del psistack\readme.txt > NUL:
rem
rem Build SDK Archive
rem
pause
pkzip -urPex sdk%ver%.zip psistack\doc\SDK\*.* psistack\doc\*.txt 
pkzip -urPex sdk%ver%.zip psistack\source\include\*.* 
pkzip -uPex sdk%ver%.zip psistack\source\library\psistack.lib psistack\source\library\readme.txt psistack\source\library\install.bat
copy psistack\readme.sdk psistack\readme.txt
pkzip -uPex sdk%ver%.zip psistack\instsdk.bat psistack\readme.txt
del psistack\readme.txt > NUL:
rem
rem Build Installation Archive
rem
pause
pkzip -urPex bin%ver%.zip psistack\Install\*.* psistack\Connect\*.* 
copy psistack\readme.bin psistack\readme.txt
pkzip -uPex bin%ver%.zip psistack\3a.BAT psistack\emul.bat psistack\install.bat psistack\install.txt 
pkzip -uPex bin%ver%.zip psistack\*.trm psistack\siena.bat psistack\wrka.bat psistack\readme.txt
del psistack\readme.txt > NUL:
pkzip -uPex bin%ver%.zip psistack\Doc\*.txt psistack\Doc\owner\*.*
rem
echo Please insert a Zip disk, and press return
pause
echo Copying SRC%VER%.ZIP to the disk...
copy src%ver%.zip d:
echo Copying SDK%VER%.ZIP to the disk...
copy sdk%ver%.zip d:
echo Copying BIN%VER%.ZIP to the disk...
copy bin%ver%.zip d:

