/*******************************************************************************
***
*** Filename         : dbmsg.h
*** Purpose          : IPC message format for the PsiStack DBMS
*** Author           : Matt J. Gumbley
*** Created          : 17/02/98
*** Last updated     : 17/02/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef DBMSG_H
#define DBMSG_H

/* Needs EPOC.H */

#define DM_MSGMAX 512 /* Max size of data areas */

/* The format of messages sent by the client */
typedef struct dbmsg {
  UBYTE     dm_op; 
  UINT      dm_recno; 
  UWORD     dm_len; 
  VOID      *dm_record;
} DBMSG;

#endif /* DBMSG_H */

