/*******************************************************************************
***
*** Filename         : dialogs.h
*** Purpose          : Dialogs for the front-end to the freeware TCP/IP stack.
*** Author           : Matt J. Gumbley
*** Created          : 05/04/97
*** Last updated     : 12/09/97
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef DIALOG_H
#define DIALOG_H

GLREF_C VOID PortDialog(INT);
GLREF_C VOID StateDialog(INT);
GLREF_C VOID ScriptDialog(INT);
GLREF_C VOID ISPDialog(INT);
GLREF_C VOID PasswordDialog(INT);
GLREF_C VOID IPAddressesDialog(INT);
GLREF_C INT  PingDialog(struct ping_info *);
GLREF_C VOID LogDialog(VOID);
GLREF_C VOID StatsDialog(VOID);
GLREF_C VOID UDPDialog(struct udp_config *);
GLREF_C VOID TCPDialog(struct tcp_config *);
GLREF_C INT  Confirm(TEXT*);

#endif /* DIALOGS_H */
