/*******************************************************************************
***
*** Filename         : options.h
*** Purpose          : Definitions to select which things you want in the kernel
***                    and setup program, for creating a cut-down system.
*** Author           : Matt J. Gumbley
*** Created          : 02/07/98
*** Last updated     : 02/07/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef SYS_OPTIONS_H
#define SYS_OPTIONS_H


/* WANT_BIGDBMS - define it if you want to use the new DBMS system, and don't 
   define it if you want to use the old "everything by hand" system
*/
/*#define WANT_BIGDBMS*/

/* WANT_SCRIPT  - define this if you want to include the dial-up script 
   language.
*/
#define WANT_SCRIPT

/* WANT_TERM    - define this if you want terminal mode support
*/
#define WANT_TERM

/* WANT_SLIP    - define this if you want SLIP support.
*/
#define WANT_SLIP

/* WANT_CSLIP   - define this if you want CSLIP support.
*/
#define WANT_CSLIP

/* WANT_PPP     - define this if you want PPP support.
*/
#define WANT_PPP

#endif /* SYS_OPTIONS_H */

