/*******************************************************************************
***
*** Filename         : socket.h
*** Purpose          : Handlers for the Kernel's Sockets IPC Messages
*** Author           : Matt J. Gumbley
*** Created          : 09/01/98
*** Last updated     : 19/04/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef SOCKET_H
#define SOCKET_H

GLDEF_C INT socket_init(VOID);
GLDEF_C INT socket_accept(UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_bind(UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_close(UWORD, UWORD, UWORD);
GLDEF_C INT socket_connect(UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_getpeername(UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_getsockopt(UWORD, UWORD, UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_getsockname(UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_listen(UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_recvfrom(UWORD, UWORD, UWORD, UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_send(UWORD, UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_sendto(UWORD, UWORD, UWORD, UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_setsockopt(UWORD, UWORD, UWORD, UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_shutdown(UWORD, UWORD, UWORD, UWORD);
GLDEF_C INT socket_socket(UWORD, UWORD, UWORD, UWORD, UWORD);

#endif /* SOCKET_H */

