/*******************************************************************************
***
*** Filename         : path.h
*** Purpose          : PsiStack Install Path Detection API Link Library
***                    Gets linked with client apps; can work out where the user
***                    has installed PsiStack, and can fully-qualify filenames,
***                    so that the system can be installed on any drive.
*** Author           : Matt J. Gumbley
*** Created          : 22/02/98
*** Last updated     : 22/02/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef PATH_H
#define PATH_H

GLREF_D TEXT path_app_psistack[];
GLREF_D TEXT path_psistack[];
GLREF_D TEXT *path_drives[];
GLREF_D TEXT **path_drive;
GLREF_C UINT path_detect(VOID);
GLREF_C UINT path_system_file(TEXT *basename, TEXT *buf);
GLREF_C UINT path_user_file(TEXT *basename, TEXT *buf);

#endif /* PATH_H */

