/*******************************************************************************
***
*** Filename         : sysincl.h
*** Purpose          : Includes all the system include files for PsiStack.
*** Author           : Matt J. Gumbley
*** Created          : 06/04/97
*** Last updated     : 13/02/98
***
********************************************************************************
***
*** Modification Record
***
*******************************************************************************/

#ifndef SYSINCL_H
#define SYSINCL_H

#include <p_std.h>          /* basic Psion header file */
#include <p_file.h>         /* defines E_FILE_ error values, etc */
#include <p_dbf.h>          /* defines DbfXXX functions */
#include <p_date.h>         /* defines date and time functions */
#include <p_config.h>       /* defines E_CONFIG struct */
#include <p_sys.h>          /* basic Psion header file */
#include <p_serial.h>       /* defines P_*** serial stuff */
#include <p_gen.h>          /* basic Psion header file */
#include <epoc.h>           /* general Epoc definitions */
#include <wlib.h>           /* defines al Window Server library functions */
#include <hwif.h>           /* defines all Hwif library functions */

#endif /* SYSINCL_H */

